package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 产线信息对象 mes_base_prodline_info
 * 
 * @author Yinq
 * @date 2024-01-24
 */
public class MesBaseProdlineInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long prodlineId;

    /** 产线编号 */
    @Excel(name = "产线编号")
    private String prodlineCode;

    /** 产线名称 */
    @Excel(name = "产线名称")
    private String prodlineName;

    /** 产线类型 */
    @Excel(name = "产线类型")
    private String prodlineType;

    /** 所属工厂ID */
    @Excel(name = "所属工厂ID")
    private Long factoryId;

    /** 所属工厂名称 */
    @Excel(name = "所属工厂名称")
    private String factoryName;

    /** 是否标识 */
    @Excel(name = "是否标识")
    private String isFlag;

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public void setProdlineId(Long prodlineId)
    {
        this.prodlineId = prodlineId;
    }

    public Long getProdlineId() 
    {
        return prodlineId;
    }
    public void setProdlineCode(String prodlineCode) 
    {
        this.prodlineCode = prodlineCode;
    }

    public String getProdlineCode() 
    {
        return prodlineCode;
    }
    public void setProdlineName(String prodlineName) 
    {
        this.prodlineName = prodlineName;
    }

    public String getProdlineName() 
    {
        return prodlineName;
    }
    public void setProdlineType(String prodlineType) 
    {
        this.prodlineType = prodlineType;
    }

    public String getProdlineType() 
    {
        return prodlineType;
    }
    public void setFactoryId(Long factoryId)
    {
        this.factoryId = factoryId;
    }

    public Long getFactoryId()
    {
        return factoryId;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prodlineId", getProdlineId())
            .append("prodlineCode", getProdlineCode())
            .append("prodlineName", getProdlineName())
            .append("prodlineType", getProdlineType())
            .append("factoryId", getFactoryId())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
